%define ocaml_major 3.12
%define ocaml_minor 1

Name:           ocaml-cmigrep
Version:        1.5
Release:        %mkrel 4
Summary:        Search OCaml compiled interface (cmi) files

Group:          Development/Other
License:        GPLv2+
URL:            http://homepage.mac.com/letaris/
Source0:        http://homepage.mac.com/letaris/cmigrep-%{version}.tar.bz2
Source1:        http://caml.inria.fr/distrib/ocaml-%{ocaml_major}/ocaml-%{ocaml_major}.%{ocaml_minor}.tar.bz2

Patch0:         cmigrep-make-without-godi-debian.patch
Patch1:         ocaml-3.12.0-rpath.patch
Patch2:         ocaml-user-cflags.patch

# Sent upstream on 2008-11-20.
Patch10:        ocaml-cmigrep-3.11.0-updated-types.patch

BuildRequires:  ocaml = %{ocaml_major}.%{ocaml_minor}
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-pcre-devel
BuildRequires:  ncurses-devel


%description
A utility to mine the data in OCaml compiled interface (cmi) files, and
elisp that allows emacs to use cmigrep for completion.


%prep
%setup -q -n cmigrep-%{version}
%patch0 -p1

# Unpack OCaml sources into compiler/ subdirectory.
# XXX On Debian the compiled compiler libs are shipped in a
# +compiler-libs directory.  It would be good to copy this,
# however in Debian the only packages which actually use
# compiler-libs are camlp5 & cmigrep.
bzcat %{SOURCE1} | tar xf -
pushd ocaml-%{ocaml_major}.%{ocaml_minor}
%patch1 -p1
%patch2 -p1
popd
mv ocaml-%{ocaml_major}.%{ocaml_minor} compiler

%patch10 -p1


%build
# Build the compiler libs.
pushd compiler
CFLAGS="$RPM_OPT_FLAGS" ./configure \
    -bindir %{_bindir} \
    -libdir %{_libdir}/ocaml \
    -x11lib %{_libdir} \
    -x11include %{_includedir} \
    -mandir %{_mandir}/man1
make world
make opt.opt
popd

# Build cmigrep itself.
make byte
make all

strip cmigrep


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m 0755 cmigrep %{buildroot}%{_bindir}


%files
%doc GPL README cmigrep.el
%{_bindir}/cmigrep


%changelog

* Sat Apr 14 2012 blue_prawn <blue_prawn> 1.5-4.mga2
+ Revision: 230750
- Import package from Mandriva


* Sat Feb 11 2012 Oden Eriksson <oeriksson@mandriva.com>
- relink against libpcre.so.1

* Sat Dec 11 2010 Oden Eriksson <oeriksson@mandriva.com>
- the mass rebuild of 2010.0 packages

* Thu Jun 11 2009 Florent Monnier <blue_prawn@mandriva.org>
- increm rel nb

* Thu Jan 29 2009 Florent Monnier <blue_prawn@mandriva.org>
- SILENT only cosmetics (buildroot)

* Wed Jan 28 2009 Florent Monnier <blue_prawn@mandriva.org>
- curses dependency

* Wed Jan 28 2009 Florent Monnier <blue_prawn@mandriva.org>
- corrected group

* Tue Jan 27 2009 Florent Monnier <blue_prawn@mandriva.org>
- import ocaml-cmigrep from Fedora into Mandriva

* Wed Nov 26 2008 Richard W.M. Jones <rjones@redhat.com> - 1.5-8
- Rebuild for OCaml 3.11.0+rc1.
- Remove string-index-from patch.

* Thu Nov 20 2008 Richard W.M. Jones <rjones@redhat.com> - 1.5-7
- Apply string-index-from patch from OCaml package.

* Thu Nov 20 2008 Richard W.M. Jones <rjones@redhat.com> - 1.5-6
- Fix for OCaml 3.11.0+beta1.

* Tue Nov 18 2008 Richard W.M. Jones <rjones@redhat.com> - 1.5-5
- Rebuild against OCaml 3.11.0+beta1.

* Tue Aug 26 2008 Richard W.M. Jones <rjones@redhat.com> - 1.5-4
- Restore ordinary patch fuzz.

* Tue Aug 26 2008 Richard W.M. Jones <rjones@redhat.com> - 1.5-3
- Rebuild.

* Mon Jun  9 2008 Richard W.M. Jones <rjones@redhat.com> - 1.5-2
- Include ppc64 compiler patch.
- Include MAP_32BITS compiler patch.
- Include no-executable-stack compiler patch.
- Rebuild for OCaml 3.10.2-4
  (https://bugzilla.redhat.com/show_bug.cgi?id=444428#c5)

* Mon Apr 28 2008 Richard W.M. Jones <rjones@redhat.com> - 1.5-1
- Initial RPM release.
